package org.dromara.domain.communityNews.vo;

import java.io.Serializable;

/**
 * 评论前端所需要格式回复的人
 * @Author: tjf
 * @Date: 2025/2/25 15:56
 * @Describe:
 */
public class CommentUser implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 人员的userID
     */
    private Long id;
    /**
     * 人员名称
     */
    private String nickName;
    /**
     * 头像
     */
    private String avatar;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    @Override
    public String toString() {
        return "CommentUser{" +
                "id=" + id +
                ", nickName='" + nickName + '\'' +
                ", avatar='" + avatar + '\'' +
                '}';
    }
}
